Package org.drinkless.tdlib

# Class TdApi.SetStoryReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetStoryReaction

Enclosing class:
  `TdApi`

public static class TdApi.SetStoryReaction extends TdApi.Function<TdApi.Ok>
Changes chosen reaction on a story that has already been sent; not supported for live stories.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ReactionType`
  `reactionType`
  Type of the reaction to set; pass null to remove the reaction.
  `int`
  `storyId`
  The identifier of the story.
  `long`
  `storyPosterChatId`
  The identifier of the poster of the story.
  `boolean`
  `updateRecentReactions`
  Pass true if the reaction needs to be added to recent reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetStoryReaction()`
  Default constructor for a function, which changes chosen reaction on a story that has already been sent; not supported for live stories.
  `SetStoryReaction(long storyPosterChatId, int storyId, TdApi.ReactionType reactionType, boolean updateRecentReactions)`
  Creates a function, which changes chosen reaction on a story that has already been sent; not supported for live stories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    The identifier of the poster of the story.

  - ### storyId

    public int storyId
    The identifier of the story.

  - ### reactionType

    public TdApi.ReactionType reactionType
    Type of the reaction to set; pass null to remove the reaction. Custom emoji reactions can be used only by Telegram Premium users. Paid reactions can't be set.

  - ### updateRecentReactions

    public boolean updateRecentReactions
    Pass true if the reaction needs to be added to recent reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetStoryReaction

    public SetStoryReaction()
    Default constructor for a function, which changes chosen reaction on a story that has already been sent; not supported for live stories.

    Returns `Ok`

  - ### SetStoryReaction

    public SetStoryReaction(long storyPosterChatId, int storyId, TdApi.ReactionType reactionType, boolean updateRecentReactions)
    Creates a function, which changes chosen reaction on a story that has already been sent; not supported for live stories.

    Returns `Ok`

    Parameters:
      `storyPosterChatId` - The identifier of the poster of the story.
      `storyId` - The identifier of the story.
      `reactionType` - Type of the reaction to set; pass null to remove the reaction. Custom emoji reactions can be used only by Telegram Premium users. Paid reactions can't be set.
      `updateRecentReactions` - Pass true if the reaction needs to be added to recent reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR